<components xmlns:web="http://jboss.org/schema/seam/web"
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:international="http://jboss.org/schema/seam/international"
			xmlns:persistence="http://jboss.org/schema/seam/persistence"
			xmlns:async="http://jboss.org/schema/seam/async"
			xmlns:security="http://jboss.org/schema/seam/security" xmlns:core="http://jboss.org/schema/seam/core"
			xmlns:mail="http://jboss.org/schema/seam/mail" xmlns="http://jboss.org/schema/seam/components"
			xsi:schemaLocation=
					"http://jboss.org/schema/seam/core http://jboss.org/schema/seam/core-2.3.xsd
	     http://jboss.org/schema/seam/persistence http://jboss.org/schema/seam/persistence-2.3.xsd


		 http://jboss.org/schema/seam/security http://jboss.org/schema/seam/security-2.3.xsd
		 http://jboss.org/schema/seam/mail http://jboss.org/schema/seam/mail-2.3.xsd
		 http://jboss.org/schema/seam/web http://jboss.org/schema/seam/web-2.3.xsd
		 http://jboss.org/schema/seam/international http://jboss.org/schema/seam/international-2.3.xsd
		 http://jboss.org/schema/seam/components http://jboss.org/schema/seam/components-2.3.xsd">
	<core:manager concurrent-request-timeout="500"
				  conversation-timeout="120000" conversation-id-parameter="cid"
				  parent-conversation-id-parameter="pid" />

    <component class="org.jboss.seam.transaction.EjbSynchronizations"
               jndi-name="java:app/jboss-seam/EjbSynchronizations"/>
    <async:quartz-dispatcher/>

    <component
		class="net.ihe.gazelle.common.action.PUProvider"
		jndi-name="java:app/gazelle-seam-tools-jar/PUProvider" />
	<component
			class="net.ihe.gazelle.simulator.common.action.TestInstanceManager"
			jndi-name="java:app/simulator-common-ejb/TestInstanceManager" />

	<component class="net.ihe.gazelle.metadata.ws.VersionControllerImpl"
			   jndi-name="java:module/metadata-v7/VersionControllerImpl"/>
	<component class="net.ihe.gazelle.metadata.ws.MetadataServiceControllerImpl"
			   jndi-name="java:module/metadata-v7/MetadataServiceControllerImpl"/>
	<component name="ValueSetCheckerImpl"
			   class="net.ihe.gazelle.simulator.ws.ValueSetCheckerImpl" jndi-name="java:app/simulator-common-ejb/ValueSetCheckerImpl" />
		
	<core:init debug="false" jndi-pattern="java:app/authentication-simulator/#{ejbName}/local" />

	<!-- Make sure this URL pattern is the same as that used by the Faces Servlet -->
	<web:hot-deploy-filter url-pattern="*.seam" />
	<web:multipart-filter create-temp-files="true" disabled="true" max-request-size="1000000" url-pattern="*.seam" />
	<web:character-encoding-filter encoding="UTF-8" override-client="true" url-pattern="*.seam"/>

	<persistence:managed-persistence-context
			name="entityManager" auto-create="true" entity-manager-factory="#{entityManagerFactory}"/>
	<international:locale-selector
			cookie-enabled="true" />
	<event type="org.jboss.seam.security.notLoggedIn">
		<action execute="#{redirect.captureCurrentView}" />
	</event>
	<event type="org.jboss.seam.security.loginSuccessful">
		<action execute="#{redirect.returnToCapturedView}" />
	</event>
	<mail:mail-session host="localhost" port="25" />

	<security:jpa-permission-store name="userPermission"
								   class="net.ihe.gazelle.simulator.users.model.UserPermission" />
	<security:remember-me enabled="false" />
</components>